Index: /palm/trunk/SOURCE/date_and_time_mod.f90
===================================================================
--- /palm/trunk/SOURCE/date_and_time_mod.f90	(revision 2700)
+++ /palm/trunk/SOURCE/date_and_time_mod.f90	(revision 2701)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! Bugfix in definition of d_seconds_year.
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Bugfix in definition of d_seconds_year.
+! 
+! 2698 2017-12-14 18:46:24Z suehring
 ! Initial revision
 ! 
Index: /palm/trunk/SOURCE/header.f90
===================================================================
--- /palm/trunk/SOURCE/header.f90	(revision 2700)
+++ /palm/trunk/SOURCE/header.f90	(revision 2701)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! Bugfix in get_topography_top_index
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Bugfix in get_topography_top_index
+! 
+! 2698 2017-12-14 18:46:24Z suehring
 ! Print information about turbulence closure (TG)
 ! Print information about inifor initialization (MS)
Index: /palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- /palm/trunk/SOURCE/init_3d_model.f90	(revision 2700)
+++ /palm/trunk/SOURCE/init_3d_model.f90	(revision 2701)
@@ -20,9 +20,13 @@
 ! Current revisions:
 ! ------------------
-! Bugfix in get_topography_top_index
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Bugfix, missing initialization of surface attributes in case of 
+! inifor-initialization branch
+! 
+! 2700 2017-12-15 14:12:35Z suehring
 ! Implementation of uv exposure model (FK)
 ! Moved initialisation of diss, e, kh, km to turbulence_closure_mod (TG)
Index: /palm/trunk/SOURCE/init_grid.f90
===================================================================
--- /palm/trunk/SOURCE/init_grid.f90	(revision 2700)
+++ /palm/trunk/SOURCE/init_grid.f90	(revision 2701)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! Bugfix in get_topography_top_index
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Bugfix in get_topography_top_index
+! 
+! 2698 2017-12-14 18:46:24Z suehring
 ! Revised topography input
 ! Set nzb_max not for the entire nest domain, only for boundary PEs
Index: /palm/trunk/SOURCE/lpm.f90
===================================================================
--- /palm/trunk/SOURCE/lpm.f90	(revision 2700)
+++ /palm/trunk/SOURCE/lpm.f90	(revision 2701)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! Grid indices passed to lpm_boundary_conds. (responsible Philipp Thiele)
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Grid indices passed to lpm_boundary_conds. (responsible Philipp Thiele)
+! 
+! 2698 2017-12-14 18:46:24Z suehring
 ! Changed particle box locations: center of particle box now coincides 
 ! with scalar grid point of same index.
Index: /palm/trunk/SOURCE/lpm_advec.f90
===================================================================
--- /palm/trunk/SOURCE/lpm_advec.f90	(revision 2700)
+++ /palm/trunk/SOURCE/lpm_advec.f90	(revision 2701)
@@ -20,12 +20,15 @@
 ! Current revisions:
 ! ------------------
-! Particle interpolations at walls in case of SGS velocities revised and not
-! required parts are removed. (responsible Philipp Thiele)
-!
-! Bugfix in get_topography_top_index
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Particle interpolations at walls in case of SGS velocities revised and not
+! required parts are removed. (responsible Philipp Thiele)
+!
+! Bugfix in get_topography_top_index
+! 
+! 2698 2017-12-14 18:46:24Z suehring
 ! Removed indices ilog and jlog which are no longer needed since particle box
 ! locations are identical to scalar boxes and topography.
Index: /palm/trunk/SOURCE/lpm_boundary_conds.f90
===================================================================
--- /palm/trunk/SOURCE/lpm_boundary_conds.f90	(revision 2700)
+++ /palm/trunk/SOURCE/lpm_boundary_conds.f90	(revision 2701)
@@ -20,11 +20,14 @@
 ! Current revisions:
 ! -----------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
 ! Particle reflections at downward-facing walls implemented. Moreover, 
 ! reflections are adjusted to revised particle grid box location. 
 ! (responsible Philipp Thiele) 
 ! 
-! Former revisions:
-! -----------------
-! $Id$
+! 2698 2017-12-14 18:46:24Z suehring
 ! Changed particle box locations: center of particle box now coincides 
 ! with scalar grid point of same index.
Index: /palm/trunk/SOURCE/lpm_init.f90
===================================================================
--- /palm/trunk/SOURCE/lpm_init.f90	(revision 2700)
+++ /palm/trunk/SOURCE/lpm_init.f90	(revision 2701)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! Grid indices passed to lpm_boundary_conds. (responsible Philipp Thiele)
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Grid indices passed to lpm_boundary_conds. (responsible Philipp Thiele)
+! 
+! 2698 2017-12-14 18:46:24Z suehring
 ! Enabled particle advection with grid stretching.
 ! 
Index: /palm/trunk/SOURCE/microphysics_mod.f90
===================================================================
--- /palm/trunk/SOURCE/microphysics_mod.f90	(revision 2700)
+++ /palm/trunk/SOURCE/microphysics_mod.f90	(revision 2701)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! Bugfix in get_topography_top_index
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Bugfix in get_topography_top_index
+! 
+! 2698 2017-12-14 18:46:24Z suehring
 ! Calculation of supersaturation in external module (diagnostic_quantities_mod).
 ! Change: correct calculation of saturation specific humidity to saturation
Index: /palm/trunk/SOURCE/plant_canopy_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/plant_canopy_model_mod.f90	(revision 2700)
+++ /palm/trunk/SOURCE/plant_canopy_model_mod.f90	(revision 2701)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! Bugfix in get_topography_top_index
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Bugfix in get_topography_top_index
+! 
+! 2698 2017-12-14 18:46:24Z suehring
 ! Bugfix for vertical loop index pch_index in case of Netcdf input
 ! Introduce 2D index array incorporate canopy top index
Index: /palm/trunk/SOURCE/pmc_interface_mod.f90
===================================================================
--- /palm/trunk/SOURCE/pmc_interface_mod.f90	(revision 2700)
+++ /palm/trunk/SOURCE/pmc_interface_mod.f90	(revision 2701)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! Bugfix in get_topography_top_index
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Bugfix in get_topography_top_index
+! 
+! 2698 2017-12-14 18:46:24Z suehring
 ! - Bugfix in init_tke_factor (MS)
 ! 
Index: /palm/trunk/SOURCE/radiation_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/radiation_model_mod.f90	(revision 2700)
+++ /palm/trunk/SOURCE/radiation_model_mod.f90	(revision 2701)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! Bugfix in get_topography_top_index
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Bugfix in get_topography_top_index
+! 
+! 2698 2017-12-14 18:46:24Z suehring
 ! - Improved reading/writing of SVF from/to file (BM)
 ! - Bugfixes concerning RRTMG as well as average_radiation options (M. Salim)
Index: /palm/trunk/SOURCE/turbulence_closure_mod.f90
===================================================================
--- /palm/trunk/SOURCE/turbulence_closure_mod.f90	(revision 2700)
+++ /palm/trunk/SOURCE/turbulence_closure_mod.f90	(revision 2701)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! Bugfix in get_topography_top_index
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Bugfix in get_topography_top_index
+! 
+! 2698 2017-12-14 18:46:24Z suehring
 ! Initial revision
 !