Index: palm/trunk/SCRIPTS/batch_scp
===================================================================
--- palm/trunk/SCRIPTS/batch_scp	(revision 2715)
+++ palm/trunk/SCRIPTS/batch_scp	(revision 2716)
@@ -27,7 +27,16 @@
 # -----------------
 # $Id$
+# Corrected "Former revisions" section
+# 
+# 2715 2017-12-27 11:31:43Z raasch
+# last commit documented
+# 
+# 2714 2017-12-27 11:25:57Z raasch
 # bugfix: variable cycle explicitly interpreted with 10 as the number base
 # 
-# 2714 2017-12-27 11:25:57Z raasch
+# 2696 2017-12-14 17:12:51Z kanani
+# Change in file header (GPL part)
+#
+# 2600 2017-11-01 14:11:20Z raasch
 # cycle numbers made three digits wide
 # host depending code completely removed
Index: palm/trunk/SCRIPTS/compile_tutorial
===================================================================
--- palm/trunk/SCRIPTS/compile_tutorial	(revision 2715)
+++ palm/trunk/SCRIPTS/compile_tutorial	(revision 2716)
@@ -20,8 +20,13 @@
 # Current revisions:
 # -----------------
-#
+# 
+# 
 # Former revisions:
 # -----------------
 # $Id$
+# Corrected "Former revisions" section
+#
+# 2696 2017-12-14 17:12:51Z kanani
+# Change in file header (GPL part)
 #
 # 1046 2012-11-09 14:38:45Z maronga
Index: palm/trunk/SCRIPTS/document_changes
===================================================================
--- palm/trunk/SCRIPTS/document_changes	(revision 2715)
+++ palm/trunk/SCRIPTS/document_changes	(revision 2716)
@@ -25,4 +25,10 @@
 # -----------------
 # $Id$
+# Corrected "Former revisions" section
+# 
+# 2696 2017-12-14 17:12:51Z kanani
+# Change in file header (GPL part)
+#
+# 2235 2017-05-31 08:03:49Z maronga
 # Changed the submission procedure in order to reduce the number of required
 # commits to one per change.
Index: palm/trunk/SCRIPTS/generate_documentation
===================================================================
--- palm/trunk/SCRIPTS/generate_documentation	(revision 2715)
+++ palm/trunk/SCRIPTS/generate_documentation	(revision 2716)
@@ -23,7 +23,14 @@
 # Former revisions:
 # -----------------
-# $Id: $
+# $Id$
+# Corrected "Former revisions" section
+# svn propset keyword
+# 
+# 
 #
+# 2696 2017-12-14 17:12:51Z kanani
+# Change in file header (GPL part)
 # 
+# 1714 knoop
 # Initial revision
 # 
Index: palm/trunk/SCRIPTS/img2stereo
===================================================================
--- palm/trunk/SCRIPTS/img2stereo	(revision 2715)
+++ palm/trunk/SCRIPTS/img2stereo	(revision 2716)
@@ -21,8 +21,15 @@
 # -----------------
 # 
-#
+# 
 # Former revisions:
 # -----------------
 # $Id$
+# Corrected "Former revisions" section
+#
+# 2696 2017-12-14 17:12:51Z kanani
+# Change in file header (GPL part)
+#
+# 1310 2014-03-14 08:01:56Z raasch
+# update of GPL copyright
 #
 # 1046 2012-11-09 14:38:45Z maronga
Index: palm/trunk/SCRIPTS/img2video
===================================================================
--- palm/trunk/SCRIPTS/img2video	(revision 2715)
+++ palm/trunk/SCRIPTS/img2video	(revision 2716)
@@ -20,9 +20,16 @@
 # Current revisions:
 # -----------------
-#
-#
+# 
+# 
 # Former revisions:
 # -----------------
 # $Id$
+# Corrected "Former revisions" section
+#
+# 2696 2017-12-14 17:12:51Z kanani
+# Change in file header (GPL part)
+#
+# 1310 2014-03-14 08:01:56Z raasch
+# update of GPL copyright
 #
 # 1046 2012-11-09 14:38:45Z maronga
Index: palm/trunk/SCRIPTS/palm_gf
===================================================================
--- palm/trunk/SCRIPTS/palm_gf	(revision 2715)
+++ palm/trunk/SCRIPTS/palm_gf	(revision 2716)
@@ -25,4 +25,14 @@
 # -----------------
 # $Id$
+# Corrected "Former revisions" section
+# 
+# 2696 2017-12-14 17:12:51Z kanani
+# Change in file header (GPL part)
+#
+# 2309 2017-07-10 15:55:55Z gronemeier
+# some further bugfixes for palm_gf
+#
+# 2308 2017-07-10 12:15:43Z gronemeier
+# new version of palm_gf (bugfixes, changes and new options)
 #
 # 2116 2017-01-16 16:15:24Z maronga
Index: palm/trunk/SCRIPTS/palm_jm
===================================================================
--- palm/trunk/SCRIPTS/palm_jm	(revision 2715)
+++ palm/trunk/SCRIPTS/palm_jm	(revision 2716)
@@ -25,4 +25,10 @@
 # -----------------
 # $Id$
+# Corrected "Former revisions" section
+# 
+# 2696 2017-12-14 17:12:51Z kanani
+# Change in file header (GPL part)
+#
+# 2504 2017-09-27 10:36:13Z maronga
 # Bugfix: jobs were not loaded on start.
 # 
Index: palm/trunk/SCRIPTS/palm_simple_install
===================================================================
--- palm/trunk/SCRIPTS/palm_simple_install	(revision 2715)
+++ palm/trunk/SCRIPTS/palm_simple_install	(revision 2716)
@@ -20,11 +20,18 @@
 # -----------------
 # 
-#
+# 
 # Former revisions:
 # -----------------
 # $Id$
+# Corrected "Former revisions" section
+#
+# 2696 2017-12-14 17:12:51Z kanani
+# Change in file header (GPL part)
 #
 # 2225 2017-05-16 11:36:20Z raasch
 # shell changed to bash
+#
+# 1310 2014-03-14 08:01:56Z raasch
+# update GPL copyright
 #
 # 1046 2012-11-09 14:38:45Z maronga
Index: palm/trunk/SCRIPTS/palm_simple_run
===================================================================
--- palm/trunk/SCRIPTS/palm_simple_run	(revision 2715)
+++ palm/trunk/SCRIPTS/palm_simple_run	(revision 2716)
@@ -20,11 +20,18 @@
 # -----------------
 # 
-#
+# 
 # Former revisions:
 # -----------------
 # $Id$
+# Corrected "Former revisions" section
+#
+# 2696 2017-12-14 17:12:51Z kanani
+# Change in file header (GPL part)
 #
 # 2225 2017-05-16 11:36:20Z raasch
 # shell changed to bash
+#
+# 1310 2014-03-14 08:01:56Z raasch
+# update GPL copyright
 #
 # 1221 2013-09-10 08:59:13Z raasch
Index: palm/trunk/SCRIPTS/palm_wd
===================================================================
--- palm/trunk/SCRIPTS/palm_wd	(revision 2715)
+++ palm/trunk/SCRIPTS/palm_wd	(revision 2716)
@@ -25,4 +25,10 @@
 # -----------------
 # $Id$
+# Corrected "Former revisions" section
+# 
+# 2696 2017-12-14 17:12:51Z kanani
+# Change in file header (GPL part)
+#
+# 2416 2017-09-06 14:28:14Z maronga
 # Adapted for palmrun
 # 
Index: palm/trunk/SCRIPTS/palm_wdd
===================================================================
--- palm/trunk/SCRIPTS/palm_wdd	(revision 2715)
+++ palm/trunk/SCRIPTS/palm_wdd	(revision 2716)
@@ -25,4 +25,10 @@
 # -----------------
 # $Id$
+# Corrected "Former revisions" section
+# 
+# 2696 2017-12-14 17:12:51Z kanani
+# Change in file header (GPL part)
+#
+# 2421 2017-09-07 10:36:34Z maronga
 # Fixed display of job progress.
 # 
Index: palm/trunk/SCRIPTS/palmbuild
===================================================================
--- palm/trunk/SCRIPTS/palmbuild	(revision 2715)
+++ palm/trunk/SCRIPTS/palmbuild	(revision 2716)
@@ -27,4 +27,10 @@
 # -----------------
 # $Id$
+# Corrected "Former revisions" section
+# 
+# 2696 2017-12-14 17:12:51Z kanani
+# Change in file header (GPL part)
+#
+# 2566 2017-10-20 08:50:47Z raasch
 # informative messages switched of almost completely in silent mode
 # two header blocks merged into one
Index: palm/trunk/SCRIPTS/palmplot
===================================================================
--- palm/trunk/SCRIPTS/palmplot	(revision 2715)
+++ palm/trunk/SCRIPTS/palmplot	(revision 2716)
@@ -19,8 +19,16 @@
 # Current revisions:
 # -----------------
-#
+# 
+# 
 # Former revisions:
 # -----------------
 # $Id$
+# Corrected "Former revisions" section
+#
+# 2696 2017-12-14 17:12:51Z kanani
+# Change in file header (GPL part)
+#
+# 1310 2014-03-14 08:01:56Z raasch
+# update GPL copyright
 #
 # 1046 2012-11-09 14:38:45Z maronga
Index: palm/trunk/SCRIPTS/palmrun
===================================================================
--- palm/trunk/SCRIPTS/palmrun	(revision 2715)
+++ palm/trunk/SCRIPTS/palmrun	(revision 2716)
@@ -27,4 +27,10 @@
 # -----------------
 # $Id$
+# Corrected "Former revisions" section
+# 
+# 2696 2017-12-14 17:12:51Z kanani
+# Change in file header (GPL part)
+#
+# 2693 2017-12-13 12:33:49Z raasch
 # replacement of variables given by {{<variable>}} in configuration file is now
 # done in a more general way, variable names are written in small letters
Index: palm/trunk/SCRIPTS/palmrungui
===================================================================
--- palm/trunk/SCRIPTS/palmrungui	(revision 2715)
+++ palm/trunk/SCRIPTS/palmrungui	(revision 2716)
@@ -24,5 +24,11 @@
 # Former revisions:
 # -----------------
-# $Id: mrungui 2316 2017-07-20 07:53:42Z maronga $
+# $Id: palmrungui 2696 2017-12-14 17:12:51Z kanani $
+# Corrected "Former revisions" section
+# 
+# 2696 2017-12-14 17:12:51Z kanani
+# Change in file header (GPL part)
+#
+# 2413 maronga
 # Renamed to palmrungui
 # 
Index: palm/trunk/SCRIPTS/palmrungui.py
===================================================================
--- palm/trunk/SCRIPTS/palmrungui.py	(revision 2715)
+++ palm/trunk/SCRIPTS/palmrungui.py	(revision 2716)
@@ -25,4 +25,10 @@
 # -----------------
 # $Id$
+# Corrected "Former revisions" section
+# 
+# 2696 2017-12-14 17:12:51Z kanani
+# Change in file header (GPL part)
+#
+# 2484 2017-09-20 14:22:42Z maronga
 # Added PALM logo
 # 
Index: palm/trunk/SCRIPTS/palmtest
===================================================================
--- palm/trunk/SCRIPTS/palmtest	(revision 2715)
+++ palm/trunk/SCRIPTS/palmtest	(revision 2716)
@@ -25,4 +25,19 @@
 # -----------------
 # $Id$
+# Corrected "Former revisions" section
+# svn propset keyword
+# 
+# 
+#
+# 2696 kanani
+# Change in file header (GPL part)
+#
+# 2579 knoop
+# palmtest now testing for multiple cpu-setups 
+#
+# 2515 kanani
+# Generalization of the palmtest script 
+#
+# 2497 knoop
 # Initial revision
 #
Index: palm/trunk/SCRIPTS/process_dvr_output
===================================================================
--- palm/trunk/SCRIPTS/process_dvr_output	(revision 2715)
+++ palm/trunk/SCRIPTS/process_dvr_output	(revision 2716)
@@ -19,8 +19,16 @@
 # Current revisions:
 # -----------------
-#
+# 
+# 
 # Former revisions:
 # -----------------
 # $Id$
+# Corrected "Former revisions" section
+#
+# 2696 2017-12-14 17:12:51Z kanani
+# Change in file header (GPL part)
+#
+# 1310 2014-03-14 08:01:56Z raasch
+# update GPL copyright
 #
 # 1046 2012-11-09 14:38:45Z maronga
Index: palm/trunk/SCRIPTS/release_tutorial
===================================================================
--- palm/trunk/SCRIPTS/release_tutorial	(revision 2715)
+++ palm/trunk/SCRIPTS/release_tutorial	(revision 2716)
@@ -24,4 +24,8 @@
 # -----------------
 # $Id$
+# Corrected "Former revisions" section
+# 
+# 2696 2017-12-14 17:12:51Z kanani
+# Change in file header (GPL part)
 #
 # 1841 2016-04-07 19:14:06Z raasch
Index: palm/trunk/SCRIPTS/testsuite
===================================================================
--- palm/trunk/SCRIPTS/testsuite	(revision 2715)
+++ palm/trunk/SCRIPTS/testsuite	(revision 2716)
@@ -25,4 +25,21 @@
 # -----------------
 # $Id$
+# Corrected "Former revisions" section
+# 
+# 
+#
+# 2696 kanani
+# Change in file header (GPL part)
+#
+# 2410 giersch
+# Change of option -h argument
+#
+# 2372 sward
+# Change of option -h argument
+#
+# 2349 giersch
+# Change of option -h argument
+#
+# 2347 knoop
 # Initial revision
 #