Index: palm/trunk/UTIL/inifor/src/Makefile
===================================================================
--- palm/trunk/UTIL/inifor/src/Makefile	(revision 2696)
+++ palm/trunk/UTIL/inifor/src/Makefile	(revision 2718)
@@ -1,21 +1,21 @@
 #> @file src/Makefile
-#------------------------------------------------------------------------------!
-# This file is part of PALM/PALM-4U.
+#------------------------------------------------------------------------------#
+# This file is part of the PALM model system.
 #
-# PALM/PALM-4U is free software: you can redistribute it and/or modify it under 
-# the terms of the GNU General Public License as published by the Free Software
-# Foundation, either version 3 of the License, or (at your option) any later 
+# PALM is free software: you can redistribute it and/or modify it under the
+# terms of the GNU General Public License as published by the Free Software
+# Foundation, either version 3 of the License, or (at your option) any later
 # version.
 #
-# PALM/PALM-4U is distributed in the hope that it will be useful, but WITHOUT 
-# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
-# FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+# PALM is distributed in the hope that it will be useful, but WITHOUT ANY
+# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
+# A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
 #
 # You should have received a copy of the GNU General Public License along with
 # PALM. If not, see <http://www.gnu.org/licenses/>.
 #
-# Copyright 2017-2017 Leibniz Universitaet Hannover, Deutscher Wetterdienst
-# Offenbach
-#------------------------------------------------------------------------------!
+# Copyright 2017-2018 Leibniz Universitaet Hannover
+# Copyright 2017-2018 Deutscher Wetterdienst Offenbach
+#------------------------------------------------------------------------------#
 #
 # Current revisions:
Index: palm/trunk/UTIL/inifor/src/control.f90
===================================================================
--- palm/trunk/UTIL/inifor/src/control.f90	(revision 2696)
+++ palm/trunk/UTIL/inifor/src/control.f90	(revision 2718)
@@ -1,20 +1,20 @@
 !> @file src/control.f90
 !------------------------------------------------------------------------------!
-! This file is part of PALM/PALM-4U.
+! This file is part of the PALM model system.
 !
-! PALM/PALM-4U is free software: you can redistribute it and/or modify it under 
-! the terms of the GNU General Public License as published by the Free Software
-! Foundation, either version 3 of the License, or (at your option) any later 
+! PALM is free software: you can redistribute it and/or modify it under the
+! terms of the GNU General Public License as published by the Free Software
+! Foundation, either version 3 of the License, or (at your option) any later
 ! version.
 !
-! PALM/PALM-4U is distributed in the hope that it will be useful, but WITHOUT 
-! ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
-! FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+! PALM is distributed in the hope that it will be useful, but WITHOUT ANY
+! WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
+! A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
 !
 ! You should have received a copy of the GNU General Public License along with
 ! PALM. If not, see <http://www.gnu.org/licenses/>.
 !
-! Copyright 2017-2017 Leibniz Universitaet Hannover, Deutscher Wetterdienst
-! Offenbach
+! Copyright 2017-2018 Leibniz Universitaet Hannover
+! Copyright 2017-2018 Deutscher Wetterdienst Offenbach
 !------------------------------------------------------------------------------!
 !
Index: palm/trunk/UTIL/inifor/src/defs.f90
===================================================================
--- palm/trunk/UTIL/inifor/src/defs.f90	(revision 2696)
+++ palm/trunk/UTIL/inifor/src/defs.f90	(revision 2718)
@@ -1,20 +1,20 @@
 !> @file src/defs.f90
 !------------------------------------------------------------------------------!
-! This file is part of PALM/PALM-4U.
+! This file is part of the PALM model system.
 !
-! PALM/PALM-4U is free software: you can redistribute it and/or modify it under 
-! the terms of the GNU General Public License as published by the Free Software
-! Foundation, either version 3 of the License, or (at your option) any later 
+! PALM is free software: you can redistribute it and/or modify it under the
+! terms of the GNU General Public License as published by the Free Software
+! Foundation, either version 3 of the License, or (at your option) any later
 ! version.
 !
-! PALM/PALM-4U is distributed in the hope that it will be useful, but WITHOUT 
-! ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
-! FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+! PALM is distributed in the hope that it will be useful, but WITHOUT ANY
+! WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
+! A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
 !
 ! You should have received a copy of the GNU General Public License along with
 ! PALM. If not, see <http://www.gnu.org/licenses/>.
 !
-! Copyright 2017-2017 Leibniz Universitaet Hannover, Deutscher Wetterdienst
-! Offenbach
+! Copyright 2017-2018 Leibniz Universitaet Hannover
+! Copyright 2017-2018 Deutscher Wetterdienst Offenbach
 !------------------------------------------------------------------------------!
 !
Index: palm/trunk/UTIL/inifor/src/grid.f90
===================================================================
--- palm/trunk/UTIL/inifor/src/grid.f90	(revision 2696)
+++ palm/trunk/UTIL/inifor/src/grid.f90	(revision 2718)
@@ -1,20 +1,20 @@
 !> @file src/grid.f90
 !------------------------------------------------------------------------------!
-! This file is part of PALM/PALM-4U.
+! This file is part of the PALM model system.
 !
-! PALM/PALM-4U is free software: you can redistribute it and/or modify it under 
-! the terms of the GNU General Public License as published by the Free Software
-! Foundation, either version 3 of the License, or (at your option) any later 
+! PALM is free software: you can redistribute it and/or modify it under the
+! terms of the GNU General Public License as published by the Free Software
+! Foundation, either version 3 of the License, or (at your option) any later
 ! version.
 !
-! PALM/PALM-4U is distributed in the hope that it will be useful, but WITHOUT 
-! ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
-! FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+! PALM is distributed in the hope that it will be useful, but WITHOUT ANY
+! WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
+! A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
 !
 ! You should have received a copy of the GNU General Public License along with
 ! PALM. If not, see <http://www.gnu.org/licenses/>.
 !
-! Copyright 2017-2017 Leibniz Universitaet Hannover, Deutscher Wetterdienst
-! Offenbach
+! Copyright 2017-2018 Leibniz Universitaet Hannover
+! Copyright 2017-2018 Deutscher Wetterdienst Offenbach
 !------------------------------------------------------------------------------!
 !
Index: palm/trunk/UTIL/inifor/src/inifor.f90
===================================================================
--- palm/trunk/UTIL/inifor/src/inifor.f90	(revision 2696)
+++ palm/trunk/UTIL/inifor/src/inifor.f90	(revision 2718)
@@ -1,20 +1,20 @@
 !> @file src/inifor.f90
 !------------------------------------------------------------------------------!
-! This file is part of PALM/PALM-4U.
-!
-! PALM/PALM-4U is free software: you can redistribute it and/or modify it under 
-! the terms of the GNU General Public License as published by the Free Software
-! Foundation, either version 3 of the License, or (at your option) any later 
+! This file is part of the PALM model system.
+!
+! PALM is free software: you can redistribute it and/or modify it under the
+! terms of the GNU General Public License as published by the Free Software
+! Foundation, either version 3 of the License, or (at your option) any later
 ! version.
 !
-! PALM/PALM-4U is distributed in the hope that it will be useful, but WITHOUT 
-! ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
-! FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+! PALM is distributed in the hope that it will be useful, but WITHOUT ANY
+! WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
+! A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
 !
 ! You should have received a copy of the GNU General Public License along with
 ! PALM. If not, see <http://www.gnu.org/licenses/>.
 !
-! Copyright 2017-2017 Leibniz Universitaet Hannover, Deutscher Wetterdienst
-! Offenbach
+! Copyright 2017-2018 Leibniz Universitaet Hannover
+! Copyright 2017-2018 Deutscher Wetterdienst Offenbach
 !------------------------------------------------------------------------------!
 !
Index: palm/trunk/UTIL/inifor/src/io.f90
===================================================================
--- palm/trunk/UTIL/inifor/src/io.f90	(revision 2696)
+++ palm/trunk/UTIL/inifor/src/io.f90	(revision 2718)
@@ -1,20 +1,20 @@
 !> @file src/io.f90
 !------------------------------------------------------------------------------!
-! This file is part of PALM/PALM-4U.
-!
-! PALM/PALM-4U is free software: you can redistribute it and/or modify it under 
-! the terms of the GNU General Public License as published by the Free Software
-! Foundation, either version 3 of the License, or (at your option) any later 
+! This file is part of the PALM model system.
+!
+! PALM is free software: you can redistribute it and/or modify it under the
+! terms of the GNU General Public License as published by the Free Software
+! Foundation, either version 3 of the License, or (at your option) any later
 ! version.
 !
-! PALM/PALM-4U is distributed in the hope that it will be useful, but WITHOUT 
-! ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
-! FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+! PALM is distributed in the hope that it will be useful, but WITHOUT ANY
+! WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
+! A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
 !
 ! You should have received a copy of the GNU General Public License along with
 ! PALM. If not, see <http://www.gnu.org/licenses/>.
 !
-! Copyright 2017-2017 Leibniz Universitaet Hannover, Deutscher Wetterdienst
-! Offenbach
+! Copyright 2017-2018 Leibniz Universitaet Hannover
+! Copyright 2017-2018 Deutscher Wetterdienst Offenbach
 !------------------------------------------------------------------------------!
 !
Index: palm/trunk/UTIL/inifor/src/transform.f90
===================================================================
--- palm/trunk/UTIL/inifor/src/transform.f90	(revision 2696)
+++ palm/trunk/UTIL/inifor/src/transform.f90	(revision 2718)
@@ -1,20 +1,20 @@
 !> @file src/transform.f90
 !------------------------------------------------------------------------------!
-! This file is part of PALM/PALM-4U.
+! This file is part of the PALM model system.
 !
-! PALM/PALM-4U is free software: you can redistribute it and/or modify it under 
-! the terms of the GNU General Public License as published by the Free Software
-! Foundation, either version 3 of the License, or (at your option) any later 
+! PALM is free software: you can redistribute it and/or modify it under the
+! terms of the GNU General Public License as published by the Free Software
+! Foundation, either version 3 of the License, or (at your option) any later
 ! version.
 !
-! PALM/PALM-4U is distributed in the hope that it will be useful, but WITHOUT 
-! ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
-! FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+! PALM is distributed in the hope that it will be useful, but WITHOUT ANY
+! WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
+! A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
 !
 ! You should have received a copy of the GNU General Public License along with
 ! PALM. If not, see <http://www.gnu.org/licenses/>.
 !
-! Copyright 2017-2017 Leibniz Universitaet Hannover, Deutscher Wetterdienst
-! Offenbach
+! Copyright 2017-2018 Leibniz Universitaet Hannover
+! Copyright 2017-2018 Deutscher Wetterdienst Offenbach
 !------------------------------------------------------------------------------!
 !
Index: palm/trunk/UTIL/inifor/src/types.f90
===================================================================
--- palm/trunk/UTIL/inifor/src/types.f90	(revision 2696)
+++ palm/trunk/UTIL/inifor/src/types.f90	(revision 2718)
@@ -1,20 +1,20 @@
 !> @file src/types.f90
 !------------------------------------------------------------------------------!
-! This file is part of PALM/PALM-4U.
+! This file is part of the PALM model system.
 !
-! PALM/PALM-4U is free software: you can redistribute it and/or modify it under 
-! the terms of the GNU General Public License as published by the Free Software
-! Foundation, either version 3 of the License, or (at your option) any later 
+! PALM is free software: you can redistribute it and/or modify it under the
+! terms of the GNU General Public License as published by the Free Software
+! Foundation, either version 3 of the License, or (at your option) any later
 ! version.
 !
-! PALM/PALM-4U is distributed in the hope that it will be useful, but WITHOUT 
-! ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
-! FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+! PALM is distributed in the hope that it will be useful, but WITHOUT ANY
+! WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
+! A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
 !
 ! You should have received a copy of the GNU General Public License along with
 ! PALM. If not, see <http://www.gnu.org/licenses/>.
 !
-! Copyright 2017-2017 Leibniz Universitaet Hannover, Deutscher Wetterdienst
-! Offenbach
+! Copyright 2017-2018 Leibniz Universitaet Hannover
+! Copyright 2017-2018 Deutscher Wetterdienst Offenbach
 !------------------------------------------------------------------------------!
 !
Index: palm/trunk/UTIL/inifor/src/util.f90
===================================================================
--- palm/trunk/UTIL/inifor/src/util.f90	(revision 2696)
+++ palm/trunk/UTIL/inifor/src/util.f90	(revision 2718)
@@ -1,20 +1,20 @@
 !> @file src/util.f90
 !------------------------------------------------------------------------------!
-! This file is part of PALM/PALM-4U.
-!
-! PALM/PALM-4U is free software: you can redistribute it and/or modify it under 
-! the terms of the GNU General Public License as published by the Free Software
-! Foundation, either version 3 of the License, or (at your option) any later 
+! This file is part of the PALM model system.
+!
+! PALM is free software: you can redistribute it and/or modify it under the
+! terms of the GNU General Public License as published by the Free Software
+! Foundation, either version 3 of the License, or (at your option) any later
 ! version.
 !
-! PALM/PALM-4U is distributed in the hope that it will be useful, but WITHOUT 
-! ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
-! FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+! PALM is distributed in the hope that it will be useful, but WITHOUT ANY
+! WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
+! A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
 !
 ! You should have received a copy of the GNU General Public License along with
 ! PALM. If not, see <http://www.gnu.org/licenses/>.
 !
-! Copyright 2017-2017 Leibniz Universitaet Hannover, Deutscher Wetterdienst
-! Offenbach
+! Copyright 2017-2018 Leibniz Universitaet Hannover
+! Copyright 2017-2018 Deutscher Wetterdienst Offenbach
 !------------------------------------------------------------------------------!
 !