Index: palm/trunk/SOURCE/land_surface_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/land_surface_model_mod.f90	(revision 2723)
+++ palm/trunk/SOURCE/land_surface_model_mod.f90	(revision 2724)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Added security check for insufficient soil_temperature values
+! 
+! 2723 2018-01-05 09:27:03Z maronga
 ! Bugfix for spinups (end_time was increased twice in case of LSM + USM runs)
 ! 
@@ -478,8 +481,8 @@
 
                                             
-    REAL(wp), DIMENSION(0:20)  ::  root_fraction = 9999999.9_wp, & !< (NAMELIST) distribution of root surface area to the individual soil layers
-                                   soil_moisture = 0.0_wp,       & !< NAMELIST soil moisture content (m3/m3)
-                                   soil_temperature = 300.0_wp,  & !< NAMELIST soil temperature (K) +1
-                                   dz_soil  = 9999999.9_wp,      & !< (NAMELIST) soil layer depths (spacing)
+    REAL(wp), DIMENSION(0:20)  ::  root_fraction = 9999999.9_wp,     & !< (NAMELIST) distribution of root surface area to the individual soil layers
+                                   soil_moisture = 0.0_wp,           & !< NAMELIST soil moisture content (m3/m3)
+                                   soil_temperature = 9999999.9_wp,  & !< NAMELIST soil temperature (K) +1
+                                   dz_soil  = 9999999.9_wp,          & !< (NAMELIST) soil layer depths (spacing)
                                    zs_layer = 9999999.9_wp         !< soil layer depths (edge)
                                  
@@ -1509,5 +1512,16 @@
     nzs = nzt_soil + 1
 
-
+!
+!-- Check whether valid soil temperatures are prescribed
+    IF ( ANY( soil_temperature(nzb_soil:nzt_soil+1) == 9999999.9_wp ) )  THEN
+       WRITE( message_string, * ) 'number of soil layers (', nzs, ') does not',&
+                                  ' match to the number of layers specified',  &
+                                  ' in soil_temperature (', COUNT(             &
+                                   soil_temperature /= 9999999.9_wp )-1, ')'
+          CALL message( 'check_parameters', 'PA0471', 1, 2, 0, 6, 0 )
+    ENDIF
+
+!
+!-- Check whether the sum of all root fractions equals one
     IF ( vegetation_type == 0 )  THEN
        IF ( SUM( root_fraction(nzb_soil:nzt_soil) ) /= 1.0_wp )  THEN
Index: palm/trunk/SOURCE/radiation_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/radiation_model_mod.f90	(revision 2723)
+++ palm/trunk/SOURCE/radiation_model_mod.f90	(revision 2724)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Set default of average_radiation to .FALSE.
+! 
+! 2723 2018-01-05 09:27:03Z maronga
 ! Bugfix in calculation of rad_lw_out (clear-sky). First grid level was used
 ! instead of the surface value
@@ -350,5 +353,5 @@
                 sw_radiation = .TRUE.,                & !< flag parameter indicating whether shortwave radiation shall be calculated
                 sun_direction = .FALSE.,              & !< flag parameter indicating whether solar direction shall be calculated
-                average_radiation = .TRUE.,           & !< flag to set the calculation of radiation averaging for the domain
+                average_radiation = .FALSE.,          & !< flag to set the calculation of radiation averaging for the domain
                 atm_surfaces = .FALSE.,               & !< flag parameter indicating wheather surfaces of atmospheric cells will be considered in calculating SVF
                 radiation_interactions = .TRUE.,      & !< flag to control if radiation interactions via sky-view factors shall be considered
Index: palm/trunk/SOURCE/time_integration_spinup.f90
===================================================================
--- palm/trunk/SOURCE/time_integration_spinup.f90	(revision 2723)
+++ palm/trunk/SOURCE/time_integration_spinup.f90	(revision 2724)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Use dt_spinup for all active components during spinup
+! 
+! 2723 2018-01-05 09:27:03Z maronga
 ! Bugfix: array rad_sw_in no longer exists and is thus removed from RUN_CONTROL
 ! output.
@@ -99,5 +102,5 @@
 
     USE radiation_model_mod,                                                   &
-        ONLY:  dt_radiation, force_radiation_call, radiation,                  &
+        ONLY:  force_radiation_call, radiation,                                &
                radiation_control, rad_sw_in, time_radiation,                   &
                radiation_interaction, radiation_interactions
@@ -311,5 +314,5 @@
                time_radiation = time_radiation + dt_3d
 
-             IF ( time_radiation >= dt_radiation .OR. force_radiation_call )   &
+             IF ( time_radiation >= dt_3d .OR. force_radiation_call )          &
              THEN
 
@@ -317,5 +320,5 @@
 
                 IF ( .NOT. force_radiation_call )  THEN
-                   time_radiation = time_radiation - dt_radiation
+                   time_radiation = time_radiation - dt_3d
                 ENDIF
 